ComponentUI

Brian DonahueBrian Donahue Posts: 6,590 New member
Hi Shimon,

I haven't had the pleasure of dealing with this version for quite a
while, but here-goes!

One of the components that the UI needs is probably not registered
properly. This can happen when you install another piece of software and it
uses the same component as ours. I think in this case, the component is the
VS Flex Grid.

Try opening a command line, change your working directory to the SQL
Bundle one (ie. c:program files
ed gate SQL Bundle), and typing 'regsvr32
VSFlex7L.Ocx'. I think that should take care of the problem.

Regards,

Brian Donahue
Red Gate Technical Support

"Shimon Sim" <[email protected]> wrote in message
news:[email protected]
> I am using SqlCompare v2.03. I just stated getting message during After
> comparing 2 databases before displaying results - can't load ComponentUI
> form. and asking if I have the version provided with the software. I don't
> remember changing anything.
> Is there anything I can do about it.
> Thank you Shimon
>
>

Comments

  • Brian DonahueBrian Donahue Posts: 6,590 New member
    Hi Shimon,

    That's nice to hear. You might have discovered some more compelling
    reasons to upgrade now that you've got the new version. It's a lot faster,
    for starters!

    Brian

    "Shimon Sim" <[email protected]> wrote in message
    news:[email protected]
    > Thanks to this problem I convinced my boss to upgrade
    > What a nice job!
    > Thanks,
    > Shimon.
    >
    > "Brian Donahue (Red Gate)" <[email protected]> wrote in message
    > news:[email protected]
    > > Hi Shimon,
    > >
    > > I haven't had the pleasure of dealing with this version for quite a
    > > while, but here-goes!
    > >
    > > One of the components that the UI needs is probably not registered
    > > properly. This can happen when you install another piece of software and
    > it
    > > uses the same component as ours. I think in this case, the component is
    > the
    > > VS Flex Grid.
    > >
    > > Try opening a command line, change your working directory to the SQL
    > > Bundle one (ie. c:program files
    ed gate SQL Bundle), and typing
    > 'regsvr32
    > > VSFlex7L.Ocx'. I think that should take care of the problem.
    > >
    > > Regards,
    > >
    > > Brian Donahue
    > > Red Gate Technical Support
    > >
    > > "Shimon Sim" <[email protected]> wrote in message
    > > news:[email protected]
    > > > I am using SqlCompare v2.03. I just stated getting message during
    After
    > > > comparing 2 databases before displaying results - can't load
    > ComponentUI
    > > > form. and asking if I have the version provided with the software. I
    > don't
    > > > remember changing anything.
    > > > Is there anything I can do about it.
    > > > Thank you Shimon
    > > >
    > > >
    > >
    > >
    >
    >
  • Brian DonahueBrian Donahue Posts: 6,590 New member
    Hi Shimon,

    When we did the new version, we did take another look at what would be
    the best default settings, so we probably did change them. I remember how
    much work I had because one of the default options of SQL Compare 2 was to
    create SQL 7 compatible scripts! Then I would get 3 emails a day saying 'how
    come my cascading updates and deletes don't get migrated?' Haha!

    So it's a good idea to look at the default settings and maybe change
    them now and then.

    Regards,

    Brian Donahue
    Red Gate Technical Support


    "Shimon Sim" <[email protected]> wrote in message
    news:[email protected]
    > Brian Just wanted to share some insides.
    > I saw new version right as you publish it. The reason that I didn't
    upgrade
    > right away was ...
    > I use SQL Compare for 2 reason 1) I synchronize production and development
    > DBs 2) I monitor progress. I compare two DBs and I have good idea what was
    > done
    >
    > After comparing 2 DBs with new version I got so many differences that I
    > couldn't understand what happened. So I just put it aside (no time to
    > explore)- old version gave me exact picture and did it job even though it
    > was sooo slow.
    >
    > Well I found a problem - default settings for the comparing didn't match.
    > I don't know if anybody else had the same experience but I am just sharing
    > mine. Hope it helps.
    > But ...
    > After all the new version is great - saves me a lot of time.
    > All the best.
    > Shimon
    >
    > "Brian Donahue (Red Gate)" <[email protected]> wrote in message
    > news:[email protected]
    > > Hi Shimon,
    > >
    > > That's nice to hear. You might have discovered some more compelling
    > > reasons to upgrade now that you've got the new version. It's a lot
    faster,
    > > for starters!
    > >
    > > Brian
    > >
    > > "Shimon Sim" <[email protected]> wrote in message
    > > news:[email protected]
    > > > Thanks to this problem I convinced my boss to upgrade
    > > > What a nice job!
    > > > Thanks,
    > > > Shimon.
    > > >
    > > > "Brian Donahue (Red Gate)" <[email protected]> wrote in
    message
    > > > news:[email protected]
    > > > > Hi Shimon,
    > > > >
    > > > > I haven't had the pleasure of dealing with this version for
    quite
    > a
    > > > > while, but here-goes!
    > > > >
    > > > > One of the components that the UI needs is probably not
    registered
    > > > > properly. This can happen when you install another piece of software
    > and
    > > > it
    > > > > uses the same component as ours. I think in this case, the component
    > is
    > > > the
    > > > > VS Flex Grid.
    > > > >
    > > > > Try opening a command line, change your working directory to the
    > SQL
    > > > > Bundle one (ie. c:program files
    ed gate SQL Bundle), and typing
    > > > 'regsvr32
    > > > > VSFlex7L.Ocx'. I think that should take care of the problem.
    > > > >
    > > > > Regards,
    > > > >
    > > > > Brian Donahue
    > > > > Red Gate Technical Support
    > > > >
    > > > > "Shimon Sim" <[email protected]> wrote in message
    > > > > news:[email protected]
    > > > > > I am using SqlCompare v2.03. I just stated getting message during
    > > After
    > > > > > comparing 2 databases before displaying results - can't load
    > > > ComponentUI
    > > > > > form. and asking if I have the version provided with the software.
    I
    > > > don't
    > > > > > remember changing anything.
    > > > > > Is there anything I can do about it.
    > > > > > Thank you Shimon
    > > > > >
    > > > > >
    > > > >
    > > > >
    > > >
    > > >
    > >
    > >
    >
    >
This discussion has been closed.